<?php

namespace App\Filament\Resources;

use App\Filament\Resources\Leads\Pages;
use App\Filament\Resources\Leads\Schemas;
use App\Filament\Resources\Leads\Tables;
use App\Models\Lead;
use BackedEnum;
use Filament\Resources\Resource;
use Filament\Schemas\Schema;
use Filament\Tables\Table;
use UnitEnum;

class LeadResource extends Resource
{
    protected static ?string $model = Lead::class;
    protected static string|BackedEnum|null $navigationIcon = 'heroicon-o-user-group';
    protected static string|UnitEnum|null $navigationGroup = 'Conversion Engine';

    public static function form(Schema $schema): Schema
    {
        return Schemas\LeadForm::configure($schema);
    }

    public static function table(Table $table): Table
    {
        return Tables\LeadsTable::configure($table);
    }

    public static function getPages(): array
    {
        return [
            'index' => Pages\ListLeads::route('/'),
            'create' => Pages\CreateLead::route('/create'),
            'edit' => Pages\EditLead::route('/{record}/edit'),
        ];
    }
}
